► |  | Scribble: The Racket Documentation Tool

1 | Getting Started
2 | @ Syntax
3 | High-Level Scribble API
4 | Scribbling Documentation
5 | Literate Programming
6 | Text Generation
7 | Low-Level Scribble API
8 | Running scribble
| Index

► | 4 | Scribbling Documentation

4.1 | Getting Started with Documentation
4.2 | Style Guide
4.3 | Manual Forms
4.4 | Racket
4.5 | Evaluation and Examples
4.6 | In-Source Documentation
4.7 | BNF Grammars
4.8 | Compatibility Libraries

▼ | 4.3 | Manual Forms

4.3.1 | Typesetting Code
4.3.2 | Documenting Modules
4.3.3 | Documenting Forms, Functions, Structure Types, and Values
4.3.4 | Documenting Classes and Interfaces
4.3.5 | Documenting Signatures
4.3.6 | Various String Forms
4.3.7 | Links
4.3.8 | Indexing
4.3.9 | Images
4.3.10 | Bibliography
4.3.11 | Miscellaneous
4.3.12 | Index-Entry Descriptions

On this page:

defsignature
defsignature/ splice
signature-desc
sigelem

top ← prev up next →

##### 4.3.5`` Documenting Signatures

> > syntax

> > ( defsignature id (super-id ...) pre-flow ...)

Defines a signature id that extends the super-id signatures. Any elements defined in decoded pre-flows—including forms, procedures, structure types, classes, interfaces, and mixins—are defined as members of the signature instead of direct bindings. These definitions can be referenced through sigelem instead of racket.

The decoded pre-flows inset under the signature declaration in the typeset output, so no new sections, etc. can be started.

> > syntax

> > ( defsignature/splice id (super-id ...) pre-flow ...)

Like defsignature, but the decoded pre-flows are not typeset under the signature declaration, and new sections, etc. can be started in the pre-flows.

> > procedure

> > ( signature-desc pre-flow ...) → any/c

> pre-flow : pre-flow?

Produces an opaque value that defsignature recognizes to outdent in the typeset form. This is useful for text describing the signature as a whole to appear right after the signature declaration.

> > syntax

> > ( sigelem sig-id id)

Typesets the identifier id with a hyperlink to its definition as a member of the signature named by sig-id.
top ← prev up next →